Wallet Infrastructure
Wallet Infrastructure
Payment Links

Create payment

POST
/v1/payments

Requires scope payment_links:write and a business with a payment-links project in the key's environment.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Header Parameters

Idempotency-Key*string

Stable per payment.

Request Body

application/json
  1. body
reference*string

Your own reference for this payment.

Length1 <= length <= 200
destinations*

One entry per chain family you will accept.

Response Body

201application/json

Payment created with its deposit addresses

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X POST 'https://api.pilot.shiga.io/v1/payments' \  -H 'Idempotency-Key: string' \  -H 'Authorization: Bearer sk_test_...' \  -H 'Content-Type: application/json' \  -d '{  "reference": "string",  "destinations": {    "property1": {      "asset": "string",      "amount": "string",      "destinationAddress": "string"    },    "property2": {      "asset": "string",      "amount": "string",      "destinationAddress": "string"    }  }}'
Example Response
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "reference": "string",    "status": "AWAITING_PAYMENT",    "expiresAt": "2019-08-24T14:15:22Z",    "watchUntil": "2019-08-24T14:15:22Z",    "addresses": [      {        "chain": "evm",        "moduleId": "evm_erc4337",        "address": "string",        "accountIndex": 0,        "asset": "USDT",        "expectedAmount": "1",        "destinationAddress": "string",        "platformPays": true,        "quotedFee": "string",        "feeAsset": "string"      }    ],    "attempts": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "chain": "string",        "status": "DEPOSITED",        "amountReceived": "string",        "depositTxHash": "string",        "settleTxHash": "string",        "actualFee": "string",        "lastError": "string",        "createdAt": "2019-08-24T14:15:22Z",        "approval": {          "challenge": "string",          "amount": "248900",          "fee": "0.0011",          "expiresAt": "2019-08-24T14:15:22Z"        }      }    ],    "unclaimed": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",        "paymentId": "472e651e-5a1e-424d-8098-23858bf03ad7",        "chain": "string",        "address": "string",        "asset": "string",        "amountReceived": "string",        "reason": "UNDERPAID",        "status": "OPEN",        "depositTxHash": "string",        "recoveryTxHash": "string",        "recoveryDestination": "string",        "createdAt": "2019-08-24T14:15:22Z"      }    ]  },  "status": 201,  "success": true}